Subject: hardwiring the semaphores directory

From: Hernan Laffitte <[email-masked]>
Date: Tue, 10 Dec 2002 17:31:32 -0800

Hello,

I just built mod_ssl  as a DSO library (mod_ssl v2.8.12,
Apache v1.3.27, mm v1.1.3) under HP-UX.

I am having problems when trying to start up mod_ssl as
a non-root user. The Apache/mod_ssl binaries were installed
under /opt/apache (i.e., /opt/apache was the "prefix" parameter
for the Apache "configure" program"). I would like to
use these binaries for several instances of Apache
running on different machines.

However, when I try to start Apache as a regular
user, I get this error:

# /opt/apache/bin/httpd -f /home/hernan/http/conf/httpd.conf 
Ouch! ap_mm_create(1048576, "/opt/apache/logs/httpd.mm.4429") failed
Error: MM: mm:core: failed to open semaphore file (Permission denied): OS: No such file or directory

It seems like somebody (mod_ssl? Apache? MM?) is trying to create
the semaphore files under the Apache prefix. Is there any way
to change this path in real time? (Or at least, to hardwire it
to something else, like /var/opt/apache)

Thanks in advance for any help with this issue.

Best regards,

Hernan

-- 
--
Hernan Laffitte
Systems Administrator, HP Labs / Storage Systems Department
http://www.hpl.hp.com
[email-masked]
tel (650)857-4937 fax (650)857-5548
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]